MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003696ATutorPretty Urlpublic2009-01-20 04:002009-07-21 08:49
Reportergreg 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003696: Pretty URL and Public tests redirected
Descriptionthe front page for public tests in 1.6.2 cannot be linked to unless the user has the AtutorID session cookie set. see:

http://www.atutor.ca/view/3/16342/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0003978closedcindy Search engines not able to cache the page 

-  Notes
(0003464)
harris (developer)
2009-01-20 06:56
edited on: 2009-01-20 06:57

Redirect confirmed.

Loop between go.php and bounce.php.


GET http://xx.xx.xx.xx/atutor155/ATutor_162/bounce.php?course=38&pu=/38/index.php [^]
User-Agent: lwp-request/2.07

GET http://xx.xx.xx.xx/atutor155/ATutor_162/go.php/38/index.php [^] --> 302 Found
GET http://xx.xx.xx.xx/atutor155/ATutor_162/bounce.php?course=38&pu=/38/index.php [^] --> 302 Found
GET http://xx.xx.xx.xx/atutor155/ATutor_162/go.php/38/index.php [^] --> 302 Found
GET http://xx.xx.xx.xx/atutor155/ATutor_162/bounce.php?course=38&pu=/38/index.php [^] --> 302 Found
GET http://xx.xx.xx.xx/atutor155/ATutor_162/go.php/38/index.php [^] --> 302 Found
GET http://xx.xx.xx.xx/atutor155/ATutor_162/bounce.php?course=38&pu=/38/index.php [^] --> 302 Found
GET http://xx.xx.xx.xx/atutor155/ATutor_162/go.php/38/index.php [^] --> 302 Found
GET http://xx.xx.xx.xx/atutor155/ATutor_162/bounce.php?course=38&pu=/38/index.php [^] --> 302 Found

(0003470)
harris (developer)
2009-01-26 09:09

Only happens when initial course_id is not set.
(0003472)
harris (developer)
2009-01-27 06:25

8303

GET http://xx/atutor155/atutor_162/go.php/38/tools/test_intro.php/tid/880/ [^] --> 302 Found
GET http://xx/atutor155/atutor_162/bounce.php?course=38&pu=/38/tools/test_intro.php/tid/880/ [^] --> 302 Found
GET http://xx/atutor155/atutor_162/38/tests_surveys [^] --> 302 Found
GET http://xx/atutor155/ATutor_162/bounce.php?course=38&pu=/38/tests_surveys.php [^] --> 302 Found
GET http://xx/atutor155/ATutor_162/38/tests_surveys&ib=1 [^] --> 200 OK


-- Halted --
(0003473)
harris (developer)
2009-01-27 07:26

.htaccess fails when apache_mod_rewrite is on, and fails to jump from
my start page to any courses.

todo:
add a rule into .htaccess
(0003474)
harris (developer)
2009-01-27 07:26

RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule (.*)\&ib\=1$ $1 [L]
(0003477)
harris (developer)
2009-02-06 10:44

apache_mod_rewrite will have the infinite loop cause of .htaccess
(0003478)
harris (developer)
2009-02-06 11:01

adjust the rule to:

RewriteRule (.*)/ib/1$ $1/index.php?ib=1 [L]
(0003479)
harris (developer)
2009-02-06 11:02

8310
(0003486)
harris (developer)
2009-02-11 09:50

Imperfect when apache mod rewrite is on.
(0003487)
harris (developer)
2009-02-11 09:50

8316

- Issue History
Date Modified Username Field Change
2009-01-20 04:00 greg New Issue
2009-01-20 04:00 greg Affects version => SVN
2009-01-20 04:51 greg Status new => assigned
2009-01-20 04:51 greg Assigned To => harris
2009-01-20 06:56 harris Note Added: 0003464
2009-01-20 06:57 harris Note Edited: 0003464
2009-01-26 09:09 harris Note Added: 0003470
2009-01-27 06:25 harris Status assigned => resolved
2009-01-27 06:25 harris Resolution open => fixed
2009-01-27 06:25 harris Note Added: 0003472
2009-01-27 07:26 harris Status resolved => feedback
2009-01-27 07:26 harris Resolution fixed => reopened
2009-01-27 07:26 harris Note Added: 0003473
2009-01-27 07:26 harris Status feedback => assigned
2009-01-27 07:26 harris Assigned To harris => greg
2009-01-27 07:26 harris Status assigned => resolved
2009-01-27 07:26 harris Resolution reopened => fixed
2009-01-27 07:26 harris Note Added: 0003474
2009-02-06 10:44 harris Assigned To greg => harris
2009-02-06 10:44 harris Status resolved => feedback
2009-02-06 10:44 harris Resolution fixed => reopened
2009-02-06 10:44 harris Note Added: 0003477
2009-02-06 11:01 harris Note Added: 0003478
2009-02-06 11:02 harris Status feedback => resolved
2009-02-06 11:02 harris Resolution reopened => fixed
2009-02-06 11:02 harris Note Added: 0003479
2009-02-11 09:50 harris Status resolved => feedback
2009-02-11 09:50 harris Resolution fixed => reopened
2009-02-11 09:50 harris Note Added: 0003486
2009-02-11 09:50 harris Status feedback => resolved
2009-02-11 09:50 harris Resolution reopened => fixed
2009-02-11 09:50 harris Note Added: 0003487
2009-06-12 09:31 greg Status resolved => new
2009-06-12 09:34 greg Status new => resolved
2009-06-12 09:34 greg Fixed in Version => 1.6.3
2009-07-21 08:49 greg Status resolved => closed
2009-10-26 11:09 harris Relationship added related to 0003978


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker